﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GeoIPUpdateAdmin.aspx.cs"
    Inherits="EPiServer.Extensions.GeoIPUpdate.GeoIPUpdateAdmin" %>

<asp:content id="Content1" contentplaceholderid="FullRegion" runat="server">
    <style type="text/css">
        table
        {
            background-color: white;
            padding: 5px;
        }
        th
        {
            background-color: Gray;
            color: White;
        }
        th, td
        {
            text-align: left;
            padding: 5px;
        }
        div
        {
           padding-top:10px;
           padding-left:10px;
        }
    </style>
    <div>
        <h3>MaxMind GeoIP Database Update Settings</h3>
        <table>
        <tbody>
            <tr>
                <td>
                    Url to database file:
                </td>
                <td>
                    <asp:TextBox ID="DownloadUrlTextBox" runat="server" Width="450px" />
                    <asp:RequiredFieldValidator runat="server" ControlToValidate="DownloadUrlTextBox" ErrorMessage="Value Required" />
                </td>
            </tr>
            <tr>
                <td>
                    Keep previous database when updating
                </td>
                <td>
                    <asp:CheckBox ID="KeepPreviousDatabaseCheckBox" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    Restart site after updating
                </td>
                <td>
                    <asp:CheckBox ID="RestartSiteOnUpdateCheckBox" runat="server" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:Button ID="SaveButton" runat="server" Text="Save" OnClick="SaveButton_Click" />
                </td>
                <td>
                    <asp:Label ID="StatusLabel" runat="server" />
                </td>
            </tr>
        </tbody>
    </table>
    </div>    
</asp:content>
